# Mitigating bias in federated learning

## Introduction

We develop a globally fair training algorithm, FedGFT, to mitigate the group bias in federated learning.  

## Prerequisites

See `requirements.txt`.

## Files

Main files:
- `adult.py`: Run the experiments on the adult dataset.
- `compas.py`: Run the experiments on the compas dataset.
- `celeba.py`: Run the experiments on the celeba dataset.

Supportive files:
- `custom_abcmeta.py`: The custom class to implement the abstract class.
- `nn.py`: The neural network models and training functions.
- `utils.py`: The utility module for federated learning.
- `optimizers.py`: Optimizer for different federated learning algorithms.
